Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2697123003: Use ExecutionContext instead of Document in PaymentRequest constructor. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months ago by please use gerrit instead
Modified:
7 months, 4 weeks ago
CC:
blink-reviews, chromium-reviews, gogerald+paymentswatch_chromium.org, rouslan+payments_chromium.org, sebsg+paymentswatch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Use ExecutionContext instead of Document in PaymentRequest constructor. BUG=683329 Review-Url: https://codereview.chromium.org/2697123003 Cr-Commit-Position: refs/heads/master@{#452494} Committed: https://chromium.googlesource.com/chromium/src/+/a4cf0dc85a9d52d8d1a07ee15ae7bd0c8bc02b06

Patch Set 1 #

Total comments: 5

Patch Set 2 #

Total comments: 1

Patch Set 3 : Use ScriptState #

Total comments: 4

Patch Set 4 : ExecutionContext in constructor only #

Unified diffs Side-by-side diffs Delta from patch set Stats (+197 lines, -174 lines) Patch
M third_party/WebKit/Source/modules/payments/AbortTest.cpp View 1 3 6 chunks +6 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/CanMakePaymentTest.cpp View 1 3 6 chunks +6 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/CompleteTest.cpp View 1 3 6 chunks +6 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/OnPaymentResponseTest.cpp View 1 3 26 chunks +25 lines, -25 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentRequest.h View 1 2 3 3 chunks +4 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentRequest.cpp View 1 3 19 chunks +62 lines, -44 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentRequest.idl View 1 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentRequestDetailsTest.cpp View 1 3 3 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentRequestTest.cpp View 1 2 3 33 chunks +81 lines, -77 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentRequestUpdateEventTest.cpp View 1 3 3 chunks +2 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 47 (33 generated)
please use gerrit instead
Marijn, ptal. This is split from http://crrev.com/2645813006, which is getting giant, so I want to ...
8 months ago (2017-02-16 16:15:47 UTC) #8
Marijn Kruisselbrink
Using ScriptState instead of Document seems reasonably, I'm not sure if you can get away ...
8 months ago (2017-02-16 19:50:13 UTC) #11
please use gerrit instead
Marijn, ptal 2nd patch. https://codereview.chromium.org/2697123003/diff/1/third_party/WebKit/Source/modules/payments/PaymentRequest.cpp File third_party/WebKit/Source/modules/payments/PaymentRequest.cpp (right): https://codereview.chromium.org/2697123003/diff/1/third_party/WebKit/Source/modules/payments/PaymentRequest.cpp#newcode652 third_party/WebKit/Source/modules/payments/PaymentRequest.cpp:652: ScriptState* scriptState = ScriptState::forMainWorld(frame()); On ...
8 months ago (2017-02-16 21:11:25 UTC) #19
Marijn Kruisselbrink
lgtm https://chromium.googlesource.com/chromium/src/third_party/+/master/WebKit/Source/bindings/core/v8/V8BindingDesign.md#World seems to explain some about worlds
8 months ago (2017-02-16 23:55:04 UTC) #22
haraken
> Using ScriptState instead of Document seems reasonably, I'm not sure if you can > ...
8 months ago (2017-02-17 01:27:32 UTC) #24
please use gerrit instead
Ptal patch 3. https://codereview.chromium.org/2697123003/diff/60001/third_party/WebKit/Source/modules/payments/PaymentRequest.cpp File third_party/WebKit/Source/modules/payments/PaymentRequest.cpp (right): https://codereview.chromium.org/2697123003/diff/60001/third_party/WebKit/Source/modules/payments/PaymentRequest.cpp#newcode907 third_party/WebKit/Source/modules/payments/PaymentRequest.cpp:907: ScriptState::forMainWorld(frame()), EventTypeNames::shippingoptionchange); Is it OK to ...
8 months ago (2017-02-19 18:53:02 UTC) #29
Marijn Kruisselbrink
https://codereview.chromium.org/2697123003/diff/60001/third_party/WebKit/Source/modules/payments/PaymentRequest.cpp File third_party/WebKit/Source/modules/payments/PaymentRequest.cpp (right): https://codereview.chromium.org/2697123003/diff/60001/third_party/WebKit/Source/modules/payments/PaymentRequest.cpp#newcode907 third_party/WebKit/Source/modules/payments/PaymentRequest.cpp:907: ScriptState::forMainWorld(frame()), EventTypeNames::shippingoptionchange); On 2017/02/19 at 18:53:02, rouslan wrote: > ...
8 months ago (2017-02-21 19:08:56 UTC) #30
haraken
On 2017/02/21 19:08:56, Marijn Kruisselbrink wrote: > https://codereview.chromium.org/2697123003/diff/60001/third_party/WebKit/Source/modules/payments/PaymentRequest.cpp > File third_party/WebKit/Source/modules/payments/PaymentRequest.cpp (right): > > https://codereview.chromium.org/2697123003/diff/60001/third_party/WebKit/Source/modules/payments/PaymentRequest.cpp#newcode907 ...
8 months ago (2017-02-21 23:53:38 UTC) #31
Marijn Kruisselbrink
On 2017/02/21 at 23:53:38, haraken wrote: > On 2017/02/21 19:08:56, Marijn Kruisselbrink wrote: > > ...
8 months ago (2017-02-21 23:57:08 UTC) #32
haraken
On 2017/02/21 23:57:08, Marijn Kruisselbrink wrote: > On 2017/02/21 at 23:53:38, haraken wrote: > > ...
8 months ago (2017-02-22 00:07:07 UTC) #33
please use gerrit instead
mek & haraken: ptal patch 4. I've made sure to use ExecutionContext in constructors and ...
8 months ago (2017-02-22 17:59:28 UTC) #37
haraken
LGTM
7 months, 4 weeks ago (2017-02-22 23:43:17 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2697123003/80001
7 months, 4 weeks ago (2017-02-23 14:59:50 UTC) #44
commit-bot: I haz the power
7 months, 4 weeks ago (2017-02-23 15:37:17 UTC) #47
Message was sent while issue was closed.
Committed patchset #4 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/a4cf0dc85a9d52d8d1a07ee15ae7...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa